<?php

namespace Area\Src;

use Dever;

class Api
{
    private $default = array
    (
        'value' => -1,
        'name' => '不限',
    );

    private $search_default = array
    (
        'value' => -1,
        'name' => '不选择',
    );

	/**
     * 获取地区数据
     *
     * @return mixed
     */
    public function get()
    {
        # 联动总数
        $level_total = 3;

        # 当前联动级别
        $level_num = Dever::input('level_num');

        # 一般为id
        $level_id = Dever::input('level_id');

        # 是否是搜索列表页
        $level_search = Dever::input('level_search');
        if ($level_search) {
            $default = $this->search_default;
        } else {
            $default = $this->default;
        }

        # 三级联动
        if ($level_num == 1) {
            $data = Dever::db('area/province')->getAll();
        } elseif ($level_num == 2) {
            $data = Dever::db('area/city')->getAll(array('province_id' => $level_id));
        } else {
            $data = Dever::db('area/county')->getAll(array('city_id' => $level_id));
        }

        if ($level_search || $level_num > 2) {
            array_unshift($data, $default);
        }

        $result['level_total'] = $level_total;
        $result['list'] = $data;
        return $result;
    }

    /**
     * 根据地区id转成名称
     *
     * @return mixed
     */
    public function string($area)
    {
        $area = explode(',', $area);
        $result = array();
        foreach ($area as $k => $v) {
            if ($k == 0) {
                $result[$k] = $this->getName('province', $v);
            } elseif ($k == 1) {
                $result[$k] = $this->getName('city', $v);
            } elseif ($k == 2) {
                $result[$k] = $this->getName('county', $v);
            }
        }
        return implode(',', $result);
    }


    private function getName($table, $id)
    {
        $name = '不限';
        if ($id > 0) {
            $data = Dever::db('area/' . $table)->one($id);
            if ($data) {
                $name = $data['name'];
            }
        }
        return $name;
    }
}
